Subject: Re: [PATCH] uio: Support 36-bit physical addresses on 32-bit systems

From: Greg KH <[email-masked]>
Date: Fri, 14 Oct 2011 12:36:33 -0600

On Fri, Oct 14, 2011 at 08:31:45PM +0200, Hans J. Koch wrote:
> On Thu, Oct 13, 2011 at 10:50:58AM -0500, Kumar Gala wrote:
> > From: Kai Jiang <[email-masked]>
> > 
> > To support >32-bit physical addresses for UIO_MEM_PHYS type we need to
> > extend the width of 'addr' in struct uio_mem.  Numerous platforms like
> > embedded PPC, ARM, and X86 have support for systems with larger physical
> > address than logical.
> > 
> > Since 'addr' may contain a physical, logical, or virtual address the
> > easiest solution is to just change the type to 'phys_addr_t' which
> > should always be greater than or equal to the sizeof(void *) such that
> > it can properly hold any of the address types.
> > 
> > For physical address we can support up to a 44-bit physical address on a
> > typical 32-bit system as we utilize remap_pfn_range() for the mapping of
> > the memory region and pfn's are represnted by shifting the address by
> > the page size (typically 4k).
> > 
> > Signed-off-by: Kai Jiang <[email-masked]>
> > Signed-off-by: Minghuan Lian <[email-masked]>
> > Signed-off-by: Kumar Gala <[email-masked]>
> 
> Signed-off-by: "Hans J. Koch" <[email-masked]>
> 
> That looks good to me. There's an unnecessary cast (see below), but I fixed that
> on the way.
> 
> Greg, please pull this from branch uio-for-gregkh from
> 
> git://hansjkoch.de/git/linux-hjk

Care to send it as an email?  I can apply it easier that way as I have
limited internet access while on the road.

greg k-h